Package oracle.jdbc

## Interface OracleTypeMetaData

All Known Subinterfaces:
  `OracleTypeMetaData.Array`, `OracleTypeMetaData.Opaque`, `OracleTypeMetaData.Struct`

All Known Implementing Classes:
  `ArrayDescriptor`, `OpaqueDescriptor`, `StructDescriptor`, `TypeDescriptor`

    public interface OracleTypeMetaData

This extension defines methods for meta data describing Oracle specific Types. `OracleArray` replaces `ARRAY`. `OracleOpaque` replaces `OPAQUE`. `OracleStruct` replaces `STRUCT`.

Since:
  11.2.0.3.0

### Nested Class Summary

Nested Classes
`static interface` `OracleTypeMetaData.Array` This nested interfacet defines additional methods for array types
`static class` `OracleTypeMetaData.ArrayStorage` Identifies
`static class` `OracleTypeMetaData.Kind` Identifies the kind of named type.
`static interface` `OracleTypeMetaData.Opaque` This nested interface defines additional methods for opaque types
`static interface` `OracleTypeMetaData.Struct` This nested interface defines additional methods for struct types

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleTypeMetaData.Kind` `getKind()` Return the kind of type.
`String` `getName()` Return fully qualified type name.
`String` `getSchemaName()` Return sql schema name.
`oracle.sql.SQLName` `getSQLName()` Fully parsed named
`int` `getTypeCode()` Returns type code.
`String` `getTypeCodeName()` Returns the type code name.

### Method Detail

#### getKind

    OracleTypeMetaData.Kind getKind()

Return the kind of type.

Returns:
  kind of type

#### getName

    String getName()
            throws SQLException

Return fully qualified type name.

Throws:
  `SQLException`

#### getSQLName

    oracle.sql.SQLName getSQLName()
                           throws SQLException

Fully parsed named

Throws:
  `SQLException`

#### getSchemaName

    String getSchemaName()
                  throws SQLException

Return sql schema name.

Throws:
  `SQLException`

#### getTypeCode

    int getTypeCode()
             throws SQLException

Returns type code.

Throws:
  `SQLException`

#### getTypeCodeName

    String getTypeCodeName()
                    throws SQLException

Returns the type code name.

Throws:
  `SQLException`